CTPL Reference Manual

for CTPL 0.3.5 The latest version of this documentation can be found on-line at http://ctpl.tuxfamily.org/doc/unstable/.

CTPL overview
  Introduction
    Advantages and disadvantages
  Working design
    The lexer
    The parser
  Templates syntax
    Raw data
    Template blocks
    Examples
  Environment description syntax
    Symbol
    Value
    Blanks
    Comments
  Input and output encoding
API reference
  Version information — Variables and functions to check the CTPL version
  CtplValue — Generic values
  CtplEnviron — Environment
  CtplToken — Language token
  CtplLexer — Syntax analyser
  CtplLexerExpr — Syntax analyser for mathematical/test expressions
  CtplParser — Token tree parser
  CtplEval — Expression evaluation
  Generic IO — CTPL's IO layer
  CtplInputStream — CTPL's data input stream
  CtplOutputStream — CTPL's data output stream
API Index
Annotation Glossary

Generated by GTK-Doc V1.35.1